/**
 * Global Styles
 *
 */

/*
--------------------------------------
réglages Hello Elementor
--------------------------------------
*/

.site-header:not(.dynamic-header),
.site-footer:not(.dynamic-footer) {
	max-width: 100% !important;
	padding: 0;
}

/*
--------------------------------------
custom template
--------------------------------------
*/

.content-container {
	width: 100%;
}

/*
--------------------------------------
elements
--------------------------------------
*/

body {
	font: var(--font-text);
	color: var(--color-text);
}

a {
	color: var(--color-primary);
	transition: color var(--transition-normal);
}

a:hover {
	color: var(--color-secondary);
}

header ul,
footer ul {
	list-style-type: none;
	margin: 0;
}

.entry-content ul {
	list-style-type: disc;
	margin-left: 1em;
}

p {
	margin-bottom: 0;
}

/*
--------------------------------------
Btns
--------------------------------------
*/


/* Base */

.elementor-widget-button .elementor-button,
a.wp-element-button,
a.custom-btn,
button.custom-btn,.forminator-button-submit,
.um form input[type=submit].um-button,
.um form .um-field a {
	text-decoration: none;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	gap: 0.5em;
	padding: 0.75em 1.5em;
	cursor: pointer;
	transition: all var(--transition-normal);
	border: 2px solid transparent;
	border-radius: 9999px !important;

	color: var(--White, var(--color-white-solid, #FFF));
	text-align: center;

	/* Inter/Bold */
	font-family: var(--font-family-Font-3, Inter) !important;
	font-size: var(--font-size-16, 16px) !important;
	font-style: normal !important;
	font-weight: var(--font-weight-700, 700) !important ;
	line-height: var(--line-height-24, 24px) !important; /* 150% */
}

/* Primary */

.elementor-widget-button.elementor-button-primary .elementor-button,
.elementor-widget-button .elementor-button.elementor-button--primary,
a.custom-btn.btn-primary,.forminator-button-submit,
button.custom-btn.btn-primary {
	background: var(--kelveo-gradient, linear-gradient(90deg, #3CB9BE 0%, #FBBB32 100%)) !important;
	color: var(--White, var(--color-white-solid, #FFF)) !important;
	border:none !important;
}

.elementor-widget-button.elementor-button-primary .elementor-button:hover,
.elementor-widget-button .elementor-button.elementor-button--primary:hover,
a.custom-btn.btn-primary:hover,.forminator-button-submit:hover,
button.custom-btn.btn-primary:hover {
	background: var(--kelveo-gradient, linear-gradient(90deg, #3CB9BE 0%, #FBBB32 100%)) !important;
	box-shadow: 0 10px 20px -10px rgba(59, 130, 246, 0.50) !important;
	border:none !important;

}

/* Primary Outline */

.elementor-widget-button.elementor-button-primary-outline .elementor-button,
.elementor-widget-button .elementor-button.elementor-button--primary-outline,
a.custom-btn.btn-outline,
button.custom-btn.btn-outline {
	color: var(--color-primary) !important;
	border-color: var(--color-primary) !important;
	background-color: transparent !important;
}

.elementor-widget-button.elementor-button-primary-outline .elementor-button:hover,
.elementor-widget-button .elementor-button.elementor-button--primary-outline:hover,
a.custom-btn.btn-outline:hover,
button.custom-btn.btn-outline:hover {
	color: var(--color-text-light) !important;
	border-color: var(--color-primary) !important;
	background-color: var(--color-primary) !important;
}

/* Secondary */

.elementor-widget-button.elementor-button-secondary .elementor-button,
.elementor-widget-button .elementor-button.elementor-button--secondary,
a.custom-btn.btn-secondary,
button.custom-btn.btn-secondary {
	border: var(--stroke-weight-1, 1px) solid var(--color-white-20, rgba(255, 255, 255, 0.20))!important;
	background: transparent !important;
	color: var(--White, var(--color-white-solid, #FFF)) !important;

}

.elementor-widget-button.elementor-button-secondary .elementor-button::after,
.elementor-widget-button .elementor-button.elementor-button--secondary::after,
a.custom-btn.btn-secondary::after,
button.custom-btn.btn-secondary::after {
	content: "";
	display: inline-block;
	width: 1em;
	height: 1em;
	background: url("/wp-content/uploads/2025/12/Symbol.png") center/contain no-repeat;
}

.elementor-widget-button.elementor-button-secondary .elementor-button:hover,
.elementor-widget-button .elementor-button.elementor-button--secondary:hover,
a.custom-btn.btn-secondary:hover,
button.custom-btn.btn-secondary:hover {
	border: var(--stroke-weight-1, 1px) solid var(--color-white-solid, #FFF)!important;
	background: var(--color-white-10, rgba(255, 255, 255, 0.10))!important;
	color: var(--White, var(--color-white-solid, #FFF))!important ;
}

/* Secondary Outline */

.elementor-widget-button.elementor-button-secondary-outline .elementor-button,
.elementor-widget-button .elementor-button.elementor-button--secondary-outline,
a.custom-btn.btn-outline-secondary,
button.custom-btn.btn-outline-secondary {
	color: var(--color-secondary) !important;
	border-color: var(--color-secondary) !important;
	background-color: transparent !important;
}

.elementor-widget-button.elementor-button-secondary-outline .elementor-button:hover,
.elementor-widget-button .elementor-button.elementor-button--secondary-outline:hover,
a.custom-btn.btn-outline-secondary:hover,
button.custom-btn.btn-outline-secondary:hover {
	color: var(--color-text-light) !important;
	border-color: var(--color-secondary) !important;
	background-color: var(--color-secondary) !important;
}

/* Accent */

.elementor-widget-button.elementor-button-accent .elementor-button,
.elementor-widget-button .elementor-button.elementor-button--accent,
a.custom-btn.btn-accent,
button.custom-btn.btn-accent {
	background: var(--Dodger-Blue, #3CB9BE)!important;
}

.elementor-widget-button.elementor-button-accent .elementor-button:hover,
.elementor-widget-button .elementor-button.elementor-button--accent:hover,
a.custom-btn.btn-accent:hover,
button.custom-btn.btn-accent:hover {
	background: var(--Dodger-Blue, #2563EB)!important;

}
